Name:		handbrake
Version:	0.9.9
Release:	1%{?dist}

Summary:	A program to transcode DVDs and other sources to MPEG-4 and MKV
License:	GPLv2+
Group:		Applications/Multimedia
URL:		http://handbrake.fr/
# in order to get HandBrake to identify itself as version 0.9.9 rather
# than svn rev5474 the source code tarball has been generated as follows:
# svn co -r 5474 svn://svn.handbrake.fr/HandBrake/tags/0.9.9 HandBrake-0.9.9
# tar cjvf HandBrake-0.9.9.tar.bz2 HandBrake-0.9.9/
Source0:	HandBrake-%{version}.tar.bz2
# Source1 is a tarball of the downloads/ folder that contains third party
# libraries required and automatically downloaded by HandBrake
# The tarball is generated as follows:
# ./configure
# cd build
# make contrib.fetch
# cd ..
# tar cjvf ../Handbrake-0.9.9-contrib-tarballs.tar.bz2
Source1:	HandBrake-%{version}-contrib-tarballs.tar.bz2
Patch0:		HandBrake-0.9.9-contrib-libvorbis-module-defs.patch

BuildRequires:	glib2-devel, webkitgtk-devel, intltool, libtool
BuildRequires:	gstreamer-devel, gstreamer-plugins-base-devel, libgudev1-devel
BuildRequires:	libnotify-devel, dbus-glib-devel, zlib-devel, bzip2-devel
BuildRequires:	subversion, yasm, curl, m4, python < 3
BuildRequires:	fribidi-devel, libogg-devel, libass-devel, libtheora-devel,
BuildRequires:	libvorbis-devel, libsamplerate-devel
BuildRequires:	gtk2-devel >= 2.24

%description
HandBrake is an open-source, GPL-licensed, multi-platform, multi-threaded 
transcoder, available for MacOS X, Linux and Windows.


%package gui
Summary:	A program to transcode DVDs and other sources to MPEG-4 and MKV
Group:		Applications/Multimedia
Provides:	%{name}-gtk = %{version}-%{release}
Obsoletes:	%{name}-gtk < %{version}-%{release}
Requires:	libdvdcss 
Requires:	gtk2 >= 2.24
Requires:	gstreamer-plugins-ugly, gstreamer-plugins-bad, gstreamer-ffmpeg


%description gui
HandBrake is an open-source, GPL-licensed, multi-platform, multi-threaded
transcoder, available for MacOS X, Linux and Windows.

This is the GTK GUI (graphical user interface) version of HandBrake.


%package cli
Summary:	A program to transcode DVDs and other sources to MPEG-4 and MKV
Group:		Applications/Multimedia
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{name} < %{version}-%{release}
Requires:	libdvdcss


%description cli
HandBrake is an open-source, GPL-licensed, multi-platform, multi-threaded 
transcoder, available for MacOS X, Linux and Windows.

This is the CLI (command line interface) version of HandBrake.


%prep
%setup -q -n HandBrake-%{version} -a 1
%patch0 -p1


%build
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
export LDFLAGS="%{optflags}"
./configure --prefix=%{_prefix}
make -C build


%install
rm -rf %{buildroot}
mkdir _docs
iconv -f ISO-8859-1 -t UTF-8 CREDITS > _docs/CREDITS
iconv -f ISO-8859-1 -t UTF-8 THANKS > _docs/THANKS
cat > build/GNUmakefile.custom.defs <<EOF
CONF.args = --prefix=%{buildroot}%{_prefix}
PREFIX    = %{buildroot}%{_prefix}
PREFIX/   = %{buildroot}%{_prefix}/
EOF
make -C build install-strip
rm -f %{buildroot}%{_datadir}/icons/hicolor/icon-theme.cache
install -D -m 0644 gtk/src/hb-icon.64.png \
  %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/hb-icon.png


%clean
rm -rf %{buildroot}


%post gui
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi


%postun gui
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi


%files gui
%defattr(-,root,root,0755)
%doc AUTHORS COPYING _docs/CREDITS NEWS _docs/THANKS TRANSLATIONS
%{_bindir}/ghb
%{_datadir}/applications/ghb.desktop
%{_datadir}/icons/hicolor/16x16/apps/hb-icon.png
%{_datadir}/icons/hicolor/22x22/apps/hb-icon.png
%{_datadir}/icons/hicolor/24x24/apps/hb-icon.png
%{_datadir}/icons/hicolor/32x32/apps/hb-icon.png
%{_datadir}/icons/hicolor/48x48/apps/hb-icon.png
%{_datadir}/icons/hicolor/64x64/apps/hb-icon.png
%{_datadir}/icons/hicolor/128x128/apps/hb-icon.png
%{_datadir}/icons/hicolor/256x256/apps/hb-icon.png


%files cli
%defattr(-,root,root,0755)
%doc AUTHORS COPYING _docs/CREDITS NEWS _docs/THANKS TRANSLATIONS
%{_bindir}/HandBrakeCLI


%changelog
* Wed Feb 10 2015 Nux <rpm@li.nux.ro> - 0.9.9-1
- update to 0.9.9, thanks GhostRyda
- https://forums.nux.ro/index.php?t=msg&goto=3019

* Mon Oct 27 2014 Nux <rpm@li.nux.ro> - 0.9.8-2
- rebuilt against newer x264

* Sun Sep 16 2012 LTN Packager <packager-el6rpms@LinuxTECH.NET> - 0.9.8-1
- new HandBrake version 0.9.8
- added patch to fix build of libvorbis

* Fri Apr 22 2011 LTN Packager <packager-el6rpms@LinuxTECH.NET> - 0.9.5-1
- new HandBrake version 0.9.5
- various spec-file improvements

* Tue Dec 28 2010 LTN Packager <packager-el6rpms@LinuxTECH.NET> - svn3713
- spec-file imported from handbrake source

* Sun Apr 11 2010 John Stebbins <jstebbins@jetheaddev.com> - svn
- Snapshot release

